/*
 Input Pullup Serial
 
 created 14 March 2012
 by Scott Fitzgerald 
 */

void setup(){
  //soros kommunikáció elindítása
  Serial.begin(9600);

  //2 pint bemenetként használjuk,
  // bekapcsoljuk a belső felhúzó ellenállást 
  pinMode(2, INPUT_PULLUP);
  pinMode(13, OUTPUT); 
}

void loop(){
  //a nyomógomb kiolvasott értékét egy változóban tároljuk
  int sensorVal = digitalRead(2);
  //és kiírjuk serial monitoron is
  Serial.println(sensorVal);

  /* Tartsuk szem előtt, hogy a belső felhúzó ellenállás használata miatt a nyomógomb logikája megfordul, tehát HIGH lesz a jel, ha alapállapotban, tehát nyitva van, és LOW, ha be van nyomva. Kapcsoljuk be a LED-et akkor, ha be van nyomva a gomb, és ki, ha nincs. */
  if (sensorVal == HIGH) {
    digitalWrite(13, LOW);
  } 
  else {
    digitalWrite(13, HIGH);
  }
}


